awn-extras trunk fails to compile: Multiple redefinition warnings

Asked by Psycona on 2008-02-22

Have compiled avant-window-navigator trunk successfully, with --with-desktop=xfce4.

Compiling awn-extras trunk, I get these error messages:

In file included from aff-results.c:25:
../../config.h:5:1: warning: "DBUS_API_SUBJECT_TO_CHANGE" redefined
<command-line>: warning: this is the location of the previous definition
In file included from /usr/include/exo-0.3/exo/exo.h:28,
                 from /usr/include/thunar-vfs-1/thunar-vfs/thunar-vfs-enum-types.h:6,
                 from /usr/include/thunar-vfs-1/thunar-vfs/thunar-vfs.h:26,
                 from /usr/local/stow/avant//include/libawn/awn-vfs.h:37,
                 from aff-results.c:37:
/usr/include/glib-2.0/glib/gi18n-lib.h:30:1: warning: "_" redefined
In file included from aff-results.c:33:
/usr/include/glib-2.0/glib/gi18n.h:25:1: warning: this is the location of the previous definition
In file included from /usr/include/exo-0.3/exo/exo.h:28,
                 from /usr/include/thunar-vfs-1/thunar-vfs/thunar-vfs-enum-types.h:6,
                 from /usr/include/thunar-vfs-1/thunar-vfs/thunar-vfs.h:26,
                 from /usr/local/stow/avant//include/libawn/awn-vfs.h:37,
                 from aff-results.c:37:
/usr/include/glib-2.0/glib/gi18n-lib.h:31:1: warning: "Q_" redefined
In file included from aff-results.c:33:
/usr/include/glib-2.0/glib/gi18n.h:26:1: warning: this is the location of the previous definition
aff-results.c: In function 'aff_results_popup_menu':
aff-results.c:425: error: 'ThunarVfsApplication' undeclared (first use in this function)
aff-results.c:425: error: (Each undeclared identifier is reported only once
aff-results.c:425: error: for each function it appears in.)
aff-results.c:425: error: expected expression before ')' token

Which look bafflingly odd. I'm on Debian lenny, with Debian packages of everything except awn.

Question information

Language:
English Edit question
Status:
Answered
For:
Awn Extras Edit question
Assignee:
No assignee Edit question
Last query:
2008-02-24
Last reply:
2008-03-09

There was an issue with 0.2.4 please try the new release.

2008-02-22: Awn Extras 0.2.6 Released!

* Fix build issue that effects new installs
* Update licensing on some code in libawn-extras
* Update comic applets
* Update notification-daemon applet

Psycona (jonathan-hepburn) said : #2

On Sat, Feb 23, 2008 at 6:28 AM, Andrew Starr-Bochicchio
<email address hidden> wrote:
> Your question #25307 on Awn Extras changed:
> https://answers.edge.launchpad.net/awn-extras/+question/25307
>
> Status: Open => Answered
>
> Andrew Starr-Bochicchio proposed the following answer:
> There was an issue with 0.2.4 please try the new release.
>
> 2008-02-22: Awn Extras 0.2.6 Released!
>
> * Fix build issue that effects new installs
> * Update licensing on some code in libawn-extras
> * Update comic applets
> * Update notification-daemon applet
>
> --
> If this answers your question, please go to the following page to let us
> know that it is solved:
> https://answers.edge.launchpad.net/awn-extras/+question/25307/+confirm?answer_id=0

Unfortunately, no. The new release fixes the problem of attempting to
source itself incorrectly, but the problem I reported is still
present, in 0.2.6 and in the bzr trunk.

Slainte,
Jonathan

Mark Lee (malept) said : #3

It's fixed in trunk r357.

Can you help with this problem?

Provide an answer of your own, or ask Psycona for more information if necessary.

To post a message you must log in.